EsysMPI.h File Reference
`#include "system_dep.h"`
`#include <escript/DataTypes.h>`
`#include <ctime>`
`#include <sstream>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | escript::JMPI_
class | escript::NoCOMM_WORLD

## Namespaces

| escript

## Macros

#define | MPI_INT 6
#define | MPI_DOUBLE 11
#define | MPI_COMM_WORLD 91
#define | MPI_COMM_NULL 0
#define | MPI_SUM 100
#define | MPI_MIN 101
#define | MPI_MAX 102
#define | MPI_OP_NULL 17

## Typedefs

typedef int | MPI_Comm
typedef int | MPI_Request
typedef int | MPI_Op
typedef int | MPI_Status
typedef boost::shared_ptr< JMPI_ > | escript::JMPI

## Functions

int | escript::getSubWorldTag ()
| tag reserved for use by SubWorld code This value should be higher than the modulus used in JMPI_::setCounter. Apart from that, its value is not particularly significant. More...
JMPI | escript::makeInfo (MPI_Comm comm, bool owncom)
bool | escript::checkResult (int input, int &output, const JMPI &comm)
| Everyone puts in their error code and everyone gets the largest one. More...
bool | escript::shipString (const char *src, char **dest, MPI_Comm &comm)
double | escript::gettime ()
| returns the current ticks for timing More...

## Macro Definition Documentation

## MPI_COMM_NULL

#define MPI_COMM_NULL 0

## MPI_COMM_WORLD

#define MPI_COMM_WORLD 91

## MPI_DOUBLE

#define MPI_DOUBLE 11

## MPI_INT

#define MPI_INT 6

## MPI_MAX

#define MPI_MAX 102

## MPI_MIN

#define MPI_MIN 101

## MPI_OP_NULL

#define MPI_OP_NULL 17

## MPI_SUM

#define MPI_SUM 100

## Typedef Documentation

## MPI_Comm

typedef int MPI_Comm

## MPI_Op

typedef int MPI_Op

## MPI_Request

typedef int MPI_Request

## MPI_Status

typedef int MPI_Status